﻿// Copyright (C) 2022 GlavSoft LLC.
// All rights reserved.
//
// DO NOT USE OR REDISTRIBUTE THE CODE, UNLESS YOU HAVE OBTAINED A LICENSE.
//

using System;
using System.Windows;
using System.Windows.Input;

namespace GlavSoft.RemoteCoreSDK.Viewer.WPF.Demo
{
    public static class CursorProvider
    {
        static CursorProvider()
        {
            var info = Application.GetResourceStream(new Uri("pack://application:,,,/Resources/smallDot.ico"));
            SmallDot = info != null ? new Cursor(info.Stream) : Cursors.Arrow;
        }

        public static readonly Cursor SmallDot;
    }
}