﻿// Copyright (C) 2022 GlavSoft LLC.
// All rights reserved.
//
// DO NOT USE OR REDISTRIBUTE THE CODE, UNLESS YOU HAVE OBTAINED A LICENSE.
//

using System.ComponentModel;
using System.Windows;

namespace GlavSoft.Viewer.WPF.SimpleDemo
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        protected override void OnClosing(CancelEventArgs e)
        {
            if (RemoteDesktopControl.StopCommand.CanExecute(null))
            {
                RemoteDesktopControl.StopCommand.Execute(null);
            }

            base.OnClosing(e);
        }
    }
}
