﻿// Copyright (C) 2022 GlavSoft LLC.
// All rights reserved.
//


using System;
using System.Linq;
using System.Windows.Forms;

namespace GlavSoft.RemoteCoreSDK.Viewer.Demo.Dialogs
{
    public partial class AuthDialog : Form
    {
        public AuthDialog()
        {
            InitializeComponent();
        }

        private void textBox2_TextChanged(object sender, EventArgs e)
        {

        }

        private void label2_Click(object sender, EventArgs e)
        {

        }

        public string Password { get; private set; }

        private void button2_Click(object sender, EventArgs e)
        {
            DialogResult = DialogResult.Cancel;
        }

        private void AuthDialog_Load(object sender, EventArgs e)
        {
            var cs = Properties.Settings.Default.ConnectionString;
            var pasCs = Properties.Settings.Default.PassCS;
            tbAdress.Text = cs;
            var pass = Properties.Settings.Default.Password;


            if (!string.IsNullOrEmpty(pass) && cs == pasCs)
            {
                tbPassword.Text = pass;
                btnOk.Enabled = true;
            }
        }

        private void btnOk_Click(object sender, EventArgs e)
        {
            OkPress();
        }

        private void tbPassword_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (e.KeyChar == (char) Keys.Return && tbPassword.Text.Any())
            {
                OkPress();
            }
            else
            {
                btnOk.Enabled = tbPassword.Text.Any();
            }

        }

        private void OkPress()
        {
            DialogResult = DialogResult.OK;
            if (cbSavePassword.Checked)
            {
                Properties.Settings.Default.Password = tbPassword.Text;
                Properties.Settings.Default.PassCS = Properties.Settings.Default.ConnectionString;
                Properties.Settings.Default.Save();
            }
            Password = tbPassword.Text;
        }
    }
}
