﻿// Copyright (C) 2022 GlavSoft LLC.
// All rights reserved.
//
// DO NOT USE OR REDISTRIBUTE THE CODE, UNLESS YOU HAVE OBTAINED A LICENSE.
//

using System;
using System.Globalization;
using System.Windows.Data;
using GlavSoft.RemoteCoreSDK.Viewer.Data;

namespace GlavSoft.RemoteCoreSDK.Viewer.WPF.Demo.Converters
{
    public class AuthFailedViewerStateToBoolConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if (value == null || parameter == null)
                return false;

            return (ViewerState)parameter == (ViewerState)value;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotSupportedException();
        }
    }
}