﻿// Copyright (C) 2022 GlavSoft LLC.
// All rights reserved.
//
// DO NOT USE OR REDISTRIBUTE THE CODE, UNLESS YOU HAVE OBTAINED A LICENSE.
//

using Newtonsoft.Json;
using Newtonsoft.Json.Converters;

namespace GlavSoft.Viewer.WinForms.Demo.Configuration
{
    public class JsonSerializer
    {
        public static readonly JsonSerializer Instance = new JsonSerializer();

        public T Deserialize<T>(string text)
        {
            return JsonConvert.DeserializeObject<T>(text);
        }

        public string Serialize<T>(T obj)
        {
            return JsonConvert.SerializeObject(obj, Formatting.Indented, new StringEnumConverter());
        }
    }
}